Package fr.gouv.vitam.logbook.common.server.config

# Class LogbookConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.logbook.common.server.config.LogbookConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public final class LogbookConfiguration extends DbConfigurationImpl
Logbook configuration class mapping

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookConfiguration()`
  LogbookConfiguration empty constructor for YAMLFactory
  `LogbookConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)`
  LogbookConfiguration constructor
  `LogbookConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes, boolean dbAuthentication, String dbUserName, String dbPassword)`
  LogbookConfiguration constructor with db authentication

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<LogbookEvent>`
  `getAlertEvents()`
  `String`
  `getClusterName()`
  `String`
  `getElasticsearchConfigurationFile()`
  `List<ElasticsearchNode>`
  `getElasticsearchNodes()`
  `Integer`
  `getLifecycleTraceabilityMaxEntries()`
  Gets max event count to select during a single logbook lifecycle traceability workflow.
  `Integer`
  `getLifecycleTraceabilityMaxRenewalDelay()`
  `ChronoUnit`
  `getLifecycleTraceabilityMaxRenewalDelayUnit()`
  `Integer`
  `getLifecycleTraceabilityTemporizationDelay()`
  Gets temporization delay (in seconds) for recent logbook lifecycle events
  `LogbookIndexationConfiguration`
  `getLogbookTenantIndexation()`
  `Integer`
  `getOperationTraceabilityMaxRenewalDelay()`
  `ChronoUnit`
  `getOperationTraceabilityMaxRenewalDelayUnit()`
  `Integer`
  `getOperationTraceabilityTemporizationDelay()`
  Gets the temporization delay (in seconds) for recent logbook operation events.
  `Integer`
  `getOperationTraceabilityThreadPoolSize()`
  `List<String>`
  `getOpEventsNotInWf()`
  `List<String>`
  `getOpLfcEventsToSkip()`
  `List<String>`
  `getOpWithLFC()`
  `String`
  `getP12LogbookFile()`
  `String`
  `getP12LogbookPassword()`
  `String`
  `getProcessingUrl()`
  `int`
  `getReconstructionMetricsCacheDurationInMinutes()`
  `String`
  `getWorkspaceUrl()`
  `void`
  `setAlertEvents(List<LogbookEvent> alertEvents)`
  `LogbookConfiguration`
  `setClusterName(String clusterName)`
  `void`
  `setElasticsearchConfigurationFile(String elasticSearchConfigurationFile)`
  `LogbookConfiguration`
  `setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)`
  `void`
  `setLifecycleTraceabilityMaxEntries(Integer lifecycleTraceabilityMaxEntries)`
  Sets max event count to select during a single logbook lifecycle traceability workflow.
  `void`
  `setLifecycleTraceabilityMaxRenewalDelay(Integer lifecycleTraceabilityMaxRenewalDelay)`
  `void`
  `setLifecycleTraceabilityMaxRenewalDelayUnit(ChronoUnit lifecycleTraceabilityMaxRenewalDelayUnit)`
  `void`
  `setLifecycleTraceabilityTemporizationDelay(Integer lifecycleTraceabilityTemporizationDelay)`
  Sets temporization delay (in seconds) for recent logbook lifecycle events
  `LogbookConfiguration`
  `setLogbookTenantIndexation(LogbookIndexationConfiguration logbookTenantIndexation)`
  `void`
  `setOperationTraceabilityMaxRenewalDelay(Integer operationTraceabilityMaxRenewalDelay)`
  `LogbookConfiguration`
  `setOperationTraceabilityMaxRenewalDelayUnit(ChronoUnit operationTraceabilityMaxRenewalDelayUnit)`
  `void`
  `setOperationTraceabilityTemporizationDelay(Integer operationTraceabilityTemporizationDelay)`
  Sets the temporization delay (in seconds) for recent logbook operation events.
  `void`
  `setOperationTraceabilityThreadPoolSize(int operationTraceabilityThreadPoolSize)`
  `void`
  `setOpEventsNotInWf(List<String> opEventsNotInWf)`
  `void`
  `setOpLfcEventsToSkip(List<String> opLfcEventsToSkip)`
  `void`
  `setOpWithLFC(List<String> opWithLFC)`
  `void`
  `setP12LogbookFile(String p12LogbookFile)`
  `void`
  `setP12LogbookPassword(String p12LogbookPassword)`
  `void`
  `setProcessingUrl(String processingUrl)`
  `void`
  `setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)`
  `void`
  `setWorkspaceUrl(String workspaceUrl)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### LogbookConfiguration

    public LogbookConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)
    LogbookConfiguration constructor
    Parameters:
      `mongoDbNodes` - database server IP addresses and ports
      `dbName` - database name
      `clusterName` - eslasticsearch cluster name
      `elasticsearchNodes` - elasticsearch nodes

  - ### LogbookConfiguration

    public LogbookConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes, boolean dbAuthentication, String dbUserName, String dbPassword)
    LogbookConfiguration constructor with db authentication
    Parameters:
      `mongoDbNodes` - database server IP addresses and ports
      `dbName` - database name
      `clusterName` - eslasticsearch cluster name
      `elasticsearchNodes` - elasticsearch nodes
      `dbAuthentication` - db authencation
      `dbUserName` - db authencation user
      `dbPassword` - db authencation password

  - ### LogbookConfiguration

    public LogbookConfiguration()
    LogbookConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getP12LogbookPassword

    public String getP12LogbookPassword()
    Returns:
      password of p12

  - ### setP12LogbookPassword

    public void setP12LogbookPassword(String p12LogbookPassword)
    Parameters:
      `p12LogbookPassword` - file to set

  - ### getP12LogbookFile

    public String getP12LogbookFile()
    Returns:
      p12 logbook file

  - ### setP12LogbookFile

    public void setP12LogbookFile(String p12LogbookFile)
    Parameters:
      `p12LogbookFile` - file to set

  - ### getWorkspaceUrl

    public String getWorkspaceUrl()
    Returns:
      url workspace

  - ### setWorkspaceUrl

    public void setWorkspaceUrl(String workspaceUrl)
    Parameters:
      `workspaceUrl` - to set

  - ### getProcessingUrl

    public String getProcessingUrl()
    Returns:
      url processing

  - ### setProcessingUrl

    public void setProcessingUrl(String processingUrl)
    Parameters:
      `processingUrl` - to set

  - ### getClusterName

    public String getClusterName()
    Returns:
      the clusterName

  - ### setClusterName

    public LogbookConfiguration setClusterName(String clusterName)
    Parameters:
      `clusterName` - the clusterName to set
    Returns:
      this

  - ### getElasticsearchNodes

    public List<ElasticsearchNode> getElasticsearchNodes()
    Returns:
      the elasticsearchNodes

  - ### setElasticsearchNodes

    public LogbookConfiguration setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)
    Parameters:
      `elasticsearchNodes` - the elasticsearchNodes to set
    Returns:
      LogbookConfiguration

  - ### getAlertEvents

    public List<LogbookEvent> getAlertEvents()
    Returns:
      the alertEvents

  - ### setAlertEvents

    public void setAlertEvents(List<LogbookEvent> alertEvents)
    Parameters:
      `alertEvents` - to set

  - ### getOpWithLFC

    public List<String> getOpWithLFC()
    Returns:
      opWithLFC

  - ### setOpWithLFC

    public void setOpWithLFC(List<String> opWithLFC)
    Parameters:
      `opWithLFC` - to set

  - ### getOpLfcEventsToSkip

    public List<String> getOpLfcEventsToSkip()
    Returns:
      opLfcEventsToSkip

  - ### setOpLfcEventsToSkip

    public void setOpLfcEventsToSkip(List<String> opLfcEventsToSkip)
    Parameters:
      `opLfcEventsToSkip` - to set

  - ### getOpEventsNotInWf

    public List<String> getOpEventsNotInWf()
    Returns:
      opEventsNotInWf

  - ### setOpEventsNotInWf

    public void setOpEventsNotInWf(List<String> opEventsNotInWf)
    Parameters:
      `opEventsNotInWf` - to set

  - ### getOperationTraceabilityTemporizationDelay

    public Integer getOperationTraceabilityTemporizationDelay()
    Gets the temporization delay (in seconds) for recent logbook operation events.
    Returns:
      The temporization delay (in seconds).

  - ### setOperationTraceabilityTemporizationDelay

    public void setOperationTraceabilityTemporizationDelay(Integer operationTraceabilityTemporizationDelay)
    Sets the temporization delay (in seconds) for recent logbook operation events.

  - ### getLifecycleTraceabilityTemporizationDelay

    public Integer getLifecycleTraceabilityTemporizationDelay()
    Gets temporization delay (in seconds) for recent logbook lifecycle events

  - ### setLifecycleTraceabilityTemporizationDelay

    public void setLifecycleTraceabilityTemporizationDelay(Integer lifecycleTraceabilityTemporizationDelay)
    Sets temporization delay (in seconds) for recent logbook lifecycle events

  - ### getLifecycleTraceabilityMaxEntries

    public Integer getLifecycleTraceabilityMaxEntries()
    Gets max event count to select during a single logbook lifecycle traceability workflow.

  - ### setLifecycleTraceabilityMaxEntries

    public void setLifecycleTraceabilityMaxEntries(Integer lifecycleTraceabilityMaxEntries)
    Sets max event count to select during a single logbook lifecycle traceability workflow.

  - ### getOperationTraceabilityMaxRenewalDelay

    public Integer getOperationTraceabilityMaxRenewalDelay()

  - ### setOperationTraceabilityMaxRenewalDelay

    public void setOperationTraceabilityMaxRenewalDelay(Integer operationTraceabilityMaxRenewalDelay)

  - ### getOperationTraceabilityMaxRenewalDelayUnit

    public ChronoUnit getOperationTraceabilityMaxRenewalDelayUnit()

  - ### setOperationTraceabilityMaxRenewalDelayUnit

    public LogbookConfiguration setOperationTraceabilityMaxRenewalDelayUnit(ChronoUnit operationTraceabilityMaxRenewalDelayUnit)

  - ### getLifecycleTraceabilityMaxRenewalDelay

    public Integer getLifecycleTraceabilityMaxRenewalDelay()

  - ### setLifecycleTraceabilityMaxRenewalDelay

    public void setLifecycleTraceabilityMaxRenewalDelay(Integer lifecycleTraceabilityMaxRenewalDelay)

  - ### getLifecycleTraceabilityMaxRenewalDelayUnit

    public ChronoUnit getLifecycleTraceabilityMaxRenewalDelayUnit()

  - ### setLifecycleTraceabilityMaxRenewalDelayUnit

    public void setLifecycleTraceabilityMaxRenewalDelayUnit(ChronoUnit lifecycleTraceabilityMaxRenewalDelayUnit)

  - ### getOperationTraceabilityThreadPoolSize

    public Integer getOperationTraceabilityThreadPoolSize()

  - ### setOperationTraceabilityThreadPoolSize

    public void setOperationTraceabilityThreadPoolSize(int operationTraceabilityThreadPoolSize)

  - ### getLogbookTenantIndexation

    public LogbookIndexationConfiguration getLogbookTenantIndexation()

  - ### setLogbookTenantIndexation

    public LogbookConfiguration setLogbookTenantIndexation(LogbookIndexationConfiguration logbookTenantIndexation)

  - ### getReconstructionMetricsCacheDurationInMinutes

    public int getReconstructionMetricsCacheDurationInMinutes()

  - ### setReconstructionMetricsCacheDurationInMinutes

    public void setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)

  - ### getElasticsearchConfigurationFile

    public String getElasticsearchConfigurationFile()

  - ### setElasticsearchConfigurationFile

    public void setElasticsearchConfigurationFile(String elasticSearchConfigurationFile)